
/**
* ファイルダイアログを開きます。
*/
function showOpenDialog()
{
    var dlg = new javax.swing.JFileChooser();
    var result = dlg.showOpenDialog(window.swingFrame);
    if(result != javax.swing.JFileChooser.APPROVE_OPTION) {
        return null;
    }
    return dlg.selectedFile.absolutePath;
}

/**
* ファイルダイアログを開きます。
*/
function showSaveDialog()
{
    var dlg = new javax.swing.JFileChooser();
    var result = dlg.showSaveDialog(window.swingFrame);
    if(result != javax.swing.JFileChooser.APPROVE_OPTION) {
        return null;
    }
    return dlg.selectedFile.absolutePath;
}

/**
* 最近使ったファイルメニューを取得します。
* @return 最近使ったファイルメニュー。
*/
function getRecentFileMenuItem()
{
    return findMenuItemByName(window.menu.file, "最近使ったファイル");
}

/**
* バージョン情報メニューを取得します。
* @return バージョン情報メニュー。
*/
function getVersionMenuItem()
{
    return findMenuItemByName(window.menu.help, "バージョン情報/利用規定");
}

/**
* 最近使ったファイルメニューを取得します。
* @param subMenu サブメニュー。
* @param name アイテム名。
* @return 最近使ったファイルメニュー。
*/
function findMenuItemByName(subMenu, name)
{
     var childNodes = subMenu.childNodes;
     for(var i = 0; i < childNodes.length; i ++) {
        var childNode = childNodes.item(i);
        if(childNode.text == name) {
            return childNode;
        }
    }
    return null;
}

/**
* ファイルを開きます。
* @param file ファイル。
*/
function open(file)
{
    var absolutePath = window.getFile(file).canonicalPath;
    trace("open: " + absolutePath);
    var args = new Array();
    args.push("cmd");
    args.push("/c");
    args.push("start");
    args.push("\"\"");
    args.push("\"" + absolutePath + "\"");
    java.lang.Runtime.getRuntime().exec(args);
}

